Page MenuHomePhabricator

Add CI to all labs/tools/* repositories and archive obsolete ones
Closed, ResolvedPublic

Description

There are 32 labs/tools/* repositories in Gerrit that do not have CI. Some are probably obsoletes and could be marked archived, others surely could use some CI jobs to be added to them.

List of missing repositories.

As of September 14th 2018

RepositoryCIRepo
labs/tools/cdnjs-index460503460501
labs/tools/commons-mass-description462429462421
labs/tools/Commons-twitter-bot
labs/tools/dawiki
labs/tools/etytree
labs/tools/facebook-messenger-chatbot
labs/tools/faces
labs/tools/fr-wikiversity-ns
labs/tools/gerrit-to-redisArchived T204337
labs/tools/giftbot
labs/tools/graphql463615
labs/tools/harvesting-data-refinery462431462431
labs/tools/lists
labs/tools/maintgraph
labs/tools/multichill
labs/tools/parliamentdiagram
labs/tools/phabricator-bug-status
labs/tools/pywikibugs
labs/tools/quarrybot-enwiki
labs/tools/ScrotBot
labs/tools/SuchABot
labs/tools/suggestor
labs/tools/translatemplate
labs/tools/vocabulary-index
labs/tools/weapon-of-mass-description462430462423
labs/tools/wikidipendenza
labs/tools/wikipedia-android-builds
labs/tools/wikinity462432462428

Details

Related Gerrit Patches:
labs/tools/cdnjs-index : masterAdd flake8 linting and tox wrapper
integration/config : masterAdd labs/tools/cdnjs-index
integration/config : masterUnarchive labs/tools/giftbot
integration/config : masterArchived labs/tools/* repositories

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptNov 13 2017, 8:59 AM
hashar updated the task description. (Show Details)Nov 13 2017, 9:01 AM

Change 390967 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archived labs/tools/* repositories

https://gerrit.wikimedia.org/r/390967

Change 390967 merged by jenkins-bot:
[integration/config@master] Archived labs/tools/* repositories

https://gerrit.wikimedia.org/r/390967

hashar updated the task description. (Show Details)Nov 13 2017, 9:27 AM

Could you please un-archive labs/tools/giftbot?

Change 432764 had a related patch set (by Gifti) published:
[integration/config@master] Unarchive labs/tools/giftbot

https://gerrit.wikimedia.org/r/432764

Dzahn triaged this task as High priority.EditedMay 14 2018, 4:51 PM
Dzahn added a subscriber: Dzahn.

I set a priority because requestor annika asked in IRC on wikimedia-tech about this and waiting for repos since a long time.

Change 432764 merged by jenkins-bot:
[integration/config@master] Unarchive labs/tools/giftbot

https://gerrit.wikimedia.org/r/432764

Giftpflanze raised the priority of this task from High to Needs Triage.May 14 2018, 5:49 PM
Giftpflanze removed a project: Patch-For-Review.
Giftpflanze updated the task description. (Show Details)
Giftpflanze triaged this task as High priority.May 14 2018, 8:13 PM
Giftpflanze added a project: Gerrit.

Despite https://wikitech.wikimedia.org/wiki/Release_Engineering/SAL and IRC suggesting otherwise, the repo is still archived and gerrit still refuses patches.

The repo apparently was archived in gerrit directly. This is now undone. There also was no +2 right for me, which is now added. A jenkins integration would be nice to have but in the meantime I can make do with submitting directly.

demon moved this task from Bugs & stuff to Repo Admin on the Gerrit board.May 15 2018, 9:08 AM
hashar updated the task description. (Show Details)Sep 14 2018, 10:34 AM
hashar updated the task description. (Show Details)Sep 14 2018, 10:37 AM
hashar updated the task description. (Show Details)

Change 460501 had a related patch set uploaded (by Hashar; owner: Hashar):
[labs/tools/cdnjs-index@master] Add flake8 linting and tox wrapper

https://gerrit.wikimedia.org/r/460501

Change 460503 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Add labs/tools/cdnjs-index

https://gerrit.wikimedia.org/r/460503

hashar updated the task description. (Show Details)Sep 14 2018, 10:57 AM
hashar updated the task description. (Show Details)Sep 14 2018, 11:11 AM
Dzahn removed a subscriber: Dzahn.Sep 14 2018, 1:57 PM

Change 460501 merged by Bstorm:
[labs/tools/cdnjs-index@master] Add flake8 linting and tox wrapper

https://gerrit.wikimedia.org/r/460501

Change 460503 merged by jenkins-bot:
[integration/config@master] Add labs/tools/cdnjs-index

https://gerrit.wikimedia.org/r/460503

hashar updated the task description. (Show Details)Sep 14 2018, 5:14 PM
hashar lowered the priority of this task from High to Medium.Sep 17 2018, 9:17 PM

This task had been set to high priority to unarchive labs/tools/giftbot.

I have refreshed the list of repositories under the Gerrit labs/tools/ hierarchy. At first glance, some seems inactive, others have some tests that would benefit from CI and at least one is written in TCL :-)

hashar updated the task description. (Show Details)Sep 24 2018, 10:47 AM

Meanwhile, in Gerrit I have granted permissions to project owners to submit changes ( https://gerrit.wikimedia.org/r/#/c/labs/tools/+/462420/ ).

Urbanecm updated the task description. (Show Details)Sep 24 2018, 11:34 AM
Urbanecm updated the task description. (Show Details)Sep 24 2018, 11:37 AM
hashar updated the task description. (Show Details)Sep 30 2018, 8:37 PM

graphql has been configured to run npm thanks to Reedy https://gerrit.wikimedia.org/r/#/c/integration/config/+/463615/

hashar closed this task as Resolved.Aug 26 2019, 8:26 AM
hashar claimed this task.

Low hanging fruits had been resolved at time. Then it is a never ending task to add CI and we would need a better process to have CI added at the moment the repositories are created.